signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros
credentialsdb.cpp File Reference
`#include "credentialsdb.h"`
`#include "credentialsdb_p.h"`
`#include "signond-common.h"`
`#include "signonsessioncoretools.h"`
Include dependency graph for credentialsdb.cpp:

Go to the source code of this file.

## Namespaces
| SignonDaemonNS

## Macros
#define | INIT_ERROR() ErrorMonitor errorMonitor(this)
#define | RETURN_IF_NO_SECRETS_DB(retval)
#define | S(s) QLatin1String(s)

## Macro Definition Documentation

#define INIT_ERROR | ( |  | ) | ErrorMonitor errorMonitor(this)

Definition at line 31 of file credentialsdb.cpp.

Referenced by SignonDaemonNS::CredentialsDB::accessControlList(), SignonDaemonNS::CredentialsDB::addReference(), SignonDaemonNS::CredentialsDB::checkPassword(), SignonDaemonNS::CredentialsDB::clear(), SignonDaemonNS::CredentialsDB::credentials(), SignonDaemonNS::CredentialsDB::loadData(), SignonDaemonNS::CredentialsDB::methods(), SignonDaemonNS::CredentialsDB::ownerList(), SignonDaemonNS::CredentialsDB::references(), SignonDaemonNS::CredentialsDB::removeCredentials(), SignonDaemonNS::CredentialsDB::removeData(), SignonDaemonNS::CredentialsDB::removeReference(), SignonDaemonNS::CredentialsDB::storeData(), and SignonDaemonNS::CredentialsDB::updateCredentials().

#define RETURN_IF_NO_SECRETS_DB | ( |  | retval | ) |

Value:
if (!isSecretsDBOpen()) { \
TRACE() << "Secrets DB is not available"; \
_lastError = noSecretsDB; return retval; \
}
TRACE
#define TRACE()
Definition: debug.h:28

Definition at line 32 of file credentialsdb.cpp.

Referenced by SignonDaemonNS::CredentialsDB::checkPassword(), SignonDaemonNS::CredentialsDB::clear(), SignonDaemonNS::CredentialsDB::removeCredentials(), and SignonDaemonNS::CredentialsDB::removeData().

#define S | ( |  | s | ) | QLatin1String(s)

Definition at line 38 of file credentialsdb.cpp.

Referenced by SignonDaemonNS::MetaDataDB::addReference(), SignonDaemonNS::SqlDatabase::init(), SignonDaemonNS::MetaDataDB::insertMethod(), SignonDaemonNS::MetaDataDB::methodId(), SignonDaemonNS::MetaDataDB::methods(), SignonDaemonNS::MetaDataDB::references(), SignonDaemonNS::MetaDataDB::removeReference(), SignonDaemonNS::MetaDataDB::updateDB(), and SignonDaemonNS::MetaDataDB::updateIdentity().